Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.server.deployment.jboss
Interface ServerDeployerMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean, org.jboss.deployment.SubDeployerMBean

All Known Implementing Classes:
  ServerDeployer

    public interface ServerDeployerMBean

extends org.jboss.deployment.SubDeployerMBean

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`void` | `deploy(PortalWebApp pwa)`
`DeploymentFactory` | `findFactory(java.net.URL url)` Locate a deployment info factory based on the url.
`ServerDeployer` | `getDeployer()`
`java.util.Set` | `getFactories()`
`Server` | `getPortalServer()`
`void` | `registerFactory(java.lang.String name, org.jboss.portal.common.net.URLFilter filter, DeploymentFactory factory, java.net.URL setupURL)`
`void` | `setPortalServer(Server server)`
`void` | `undeploy(PortalWebApp pwa)`
`void` | `unregisterFactory(java.lang.String name)`

Methods inherited from interface org.jboss.deployment.SubDeployerMBean
`accepts, create, destroy, getRelativeOrder, getServiceName, getSuffixes, init, start, stop`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getDeployer

    ServerDeployer getDeployer()

### getPortalServer

    Server getPortalServer()

### setPortalServer

    void setPortalServer(Server server)

### deploy

    void deploy(PortalWebApp pwa)
                throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### undeploy

    void undeploy(PortalWebApp pwa)
                  throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### getFactories

    java.util.Set getFactories()

### registerFactory

    void registerFactory(java.lang.String name,
                         org.jboss.portal.common.net.URLFilter filter,
                         DeploymentFactory factory,
                         java.net.URL setupURL)

  Parameters:
    `name` - the factory name
    `filter` - filter urls
    `factory` - create deployment
    `setupURL` - an optional setup URL

### unregisterFactory

    void unregisterFactory(java.lang.String name)

  Parameters:
    `name` - the factory name to unregister

### findFactory

    DeploymentFactory findFactory(java.net.URL url)

  Locate a deployment info factory based on the url. If no factory is found it returns null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD